MuleContextInitialisePhase (Mule ESB 2.2.1 API)
Keywords: org.mule.lifecycle.phases.MuleContextInitialisePhase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.phases
Class MuleContextInitialisePhase

    java.lang.Object
      org.mule.lifecycle.DefaultLifecyclePhase
          org.mule.lifecycle.ContainerManagedLifecyclePhase
              org.mule.lifecycle.phases.MuleContextInitialisePhase

All Implemented Interfaces:
  LifecyclePhase

    public class MuleContextInitialisePhase

extends ContainerManagedLifecyclePhase

Since all objects are created and initialised in the registry, the Initialise lifecyclePhase is always taken care of by the Registry, hence this class extends `ContainerManagedLifecyclePhase`

Field Summary

Fields inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`logger`

Fields inherited from interface org.mule.api.lifecycle.LifecyclePhase
`ALL_PHASES`

Constructor Summary
`MuleContextInitialisePhase()`

Method Summary

Methods inherited from class org.mule.lifecycle.ContainerManagedLifecyclePhase
`applyLifecycle`

Methods inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`addOrderedLifecycleObject, applyLifecycle, getIgnoredObjectTypes, getLifecycleClass, getName, getOppositeLifecyclePhase, getOrderedLifecycleObjects, getSupportedPhases, ignoreType, isPhaseSupported, registerSupportedPhase, removeOrderedLifecycleObject, setIgnoredObjectTypes, setLifecycleClass, setOrderedLifecycleObjects, setSupportedPhases, sortLifecycleInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleContextInitialisePhase

    public MuleContextInitialisePhase()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.